Subject: bug#8492: 23.3; Time to use a different binding for completion?

From: Reuben Thomas <[email-masked]>
Date: Wed, 20 Apr 2011 23:49:43 +0100

On 20 April 2011 23:48, Stefan Monnier <[email-masked]> wrote:
>> Having said that, no key binding is better than a clever key binding.
>> Some uses of completion perhaps don't need a key (as for example many
>> uses of code completion, which in other IDEs pop up a list of
>> completions by default).
>
> I think this one is a fallacy: popping up the menu may not need a key
> binding, but you do need a key binding in order to select something from
> that menu.  Admittedly, it changes the problem enough that the solution
> may be simpler (e.g. M-n and M-p can be used for that whereas they don't
> seem nearly as attractive for completion-at-point).

I should have been more precise, because I agree with you. I should
have said "perhaps doesn't need a global key binding".

-- 
http://rrt.sc3d.org